Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1357297

Summary: Documentation about keystone integration with LDAP is erroneous
Product: Red Hat OpenStack Reporter: David Hill <dhill>
Component: documentationAssignee: Martin Lopes <mlopes>
Status: CLOSED CURRENTRELEASE QA Contact: RHOS Documentation Team <rhos-docs>
Severity: low Docs Contact:
Priority: unspecified    
Version: 8.0 (Liberty)CC: ayoung, jdennis, mburns, nkinder, panbalag, srevivo
Target Milestone: ---Keywords: ZStream
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-07 00:26:06 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description David Hill 2016-07-17 22:15:42 UTC
Description of problem:
Documentation about keystone integration with LDAP is erroneous as it's using the wrong driver .  The following:

[identity]
driver = keystone.identity.backends.ldap.Identity
should be:
[identity]
driver = ldap

in https://access.redhat.com/documentation/en/red-hat-openstack-platform/8/integrate-with-identity-service/chapter-1-active-directory-integration

When using the documented driver, the following error message is shown in the logs:

2016-06-14 19:45:17.093 126692 DEBUG keystone.common.manager [req-ff6e8339-0a87-47cb-b76f-22bd74b59f04 - - - - -] Failed to load 'keystone.identity.backends.ldap.Identity' using stevedore: No 'keystone.identity' driver found, looking for 'keystone.identity.backends.ldap.Identity' load_driver /usr/lib/python2.7/site-packages/keystone/common/manager.py:70

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Configure keystone to use LDAP
2.
3.

Actual results:
Fails

Expected results:
Works.

Additional info:

Comment 2 Adam Young 2016-10-13 12:24:29 UTC
Corrected text should be:

3. Configure Identity Service to use multiple back ends:

# openstack-config --set /etc/keystone/keystone.conf identity domain_specific_drivers_enabled true
# openstack-config --set /etc/keystone/keystone.conf identity domain_config_dir /etc/keystone/domains
# openstack-config --set /etc/keystone/keystone.conf assignment driver sql